# Get exact cached post count for user feed

Returns the exact number of cached posts currently stored in Redis for a user's home feed. Requires exactly one of userId or username.

RBAC: requires Jobs.Manage

Endpoint: GET /api/v1/admin/feed/count-user-feed
Version: 1.0
Security: header

## Query parameters:

  - `userId` (string,null)
    User ID to count cached feed posts for
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `username` (string,null)
    Username to count cached feed posts for (alternative to userId)
    Example: "john_doe"

## Response 200 fields (application/json):

  - `userId` (string, required)
    UUID with type prefix
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `username` (string, required)

  - `cachedPostCount` (integer, required)

  - `feedType` (string, required)
    Enum: "home"

## Response 400 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 403 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 404 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation


